# $Revision: 1.38 $, $Date: 2012/01/10 16:36:41 $
# TODO: use system libassuan 2 instead of included libassuan 1
#
# Conditional build:
%bcond_without	gtk	# without GTK+ 1.x dialog
%bcond_without	gtk2	# without GTK+ 2 dialog
%bcond_without	qt	# without Qt dialog
%bcond_without	qt4	# without Qt4 dialog
#
Summary:	Simple PIN or passphrase entry dialogs
Summary(pl.UTF-8):	Proste kontrolki dialogowe do wpisywania PIN-ów lub haseł
Name:		pinentry
Version:	0.8.1
Release:	3
License:	GPL v2+
Group:		Applications
Source0:	ftp://ftp.gnupg.org/gcrypt/pinentry/%{name}-%{version}.tar.gz
# Source0-md5:	81f99904daee5331eb6738408bb024b6
Patch0:		%{name}-system-assuan.patch
Patch1:		%{name}-info.patch
Patch2:		0001-Fix-qt4-pinentry-window-created-in-the-background.patch
URL:		http://www.gnupg.org/
%{?with_qt4:BuildRequires:	QtGui-devel}
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.7.6
BuildRequires:	gettext-devel
%{?with_gtk:BuildRequires:	gtk+-devel >= 1.2.0}
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.4.0}
#BuildRequires:	libassuan-devel
BuildRequires:	libcap-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
%{?with_qt:BuildRequires:	qt-devel}
%{?with_qt4:BuildRequires:	qt4-build}
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details. Base package contains
curses-based dialog.

%description -l pl.UTF-8
Jest to zestaw prostych kontrolek dialogowych do wpisywania PIN-ów lub
haseł, używające protokołu Assuan opisanego w projekcie aegypten;
więcej szczegółów pod adresem http://www.gnupg.org/aegypten/.
Podstawowy pakiet zawiera kontrolkę opartą na curses.

%package gtk
Summary:	Simple PIN or passphrase entry dialog for GTK+ 1.x
Summary(pl.UTF-8):	Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla GTK+ 1.x
Group:		X11/Applications

%description gtk
Simple PIN or passphrase entry dialog for GTK+ 1.x.

%description gtk -l pl.UTF-8
Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla GTK+
1.x.

%package gtk2
Summary:	Simple PIN or passphrase entry dialog for GTK+ 2
Summary(pl.UTF-8):	Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla GTK+ 2
Group:		X11/Applications
Requires:	gtk+2 >= 2:2.4.0

%description gtk2
Simple PIN or passphrase entry dialog for GTK+ 2.

%description gtk2 -l pl.UTF-8
Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla GTK+ 2.

%package qt
Summary:	Simple PIN or passphrase entry dialog for Qt
Summary(pl.UTF-8):	Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla Qt
Group:		X11/Applications

%description qt
Simple PIN or passphrase entry dialog for Qt.

%description qt -l pl.UTF-8
Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla Qt.

%package qt4
Summary:	Simple PIN or passphrase entry dialog for Qt4
Summary(pl.UTF-8):	Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla Qt4
Group:		X11/Applications

%description qt4
Simple PIN or passphrase entry dialog for Qt4.

%description qt4 -l pl.UTF-8
Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla Qt4.

%prep
%setup -q
#patch0 -p1
%patch1 -p1
%patch2 -p1

%if %{with qt4}
cd qt4
%{_bindir}/moc-qt4 pinentrydialog.h  -o pinentrydialog.moc
%{_bindir}/moc-qt4 qsecurelineedit.h -o qsecurelineedit.moc
cd ..
%endif

#rm assuan/*.h

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
%configure \
	--enable-maintainer-mode \
	--enable-fallback-curses \
	--enable-pinentry-curses \
	--%{!?with_gtk:dis}%{?with_gtk:en}able-pinentry-gtk \
	--%{!?with_gtk2:dis}%{?with_gtk2:en}able-pinentry-gtk2 \
	--%{!?with_qt:dis}%{?with_qt:en}able-pinentry-qt \
	--%{!?with_qt4:dis}%{?with_qt4:en}able-pinentry-qt4 \
	--with-qt-includes=%{_includedir}/qt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_bindir}/pinentry
cat >$RPM_BUILD_ROOT%{_bindir}/pinentry <<'EOF'
#!/bin/sh

if [ -n "$PINENTRY_PROGRAM" ]; then
	exec $PINENTRY_PROGRAM "$@"
elif [ -z "$DISPLAY" ]; then
	exec %{_bindir}/pinentry-curses "$@"
elif [ -x %{_bindir}/pinentry-gtk-2 ]; then
	exec %{_bindir}/pinentry-gtk-2 "$@"
elif [ -x %{_bindir}/pinentry-gtk ]; then
	exec %{_bindir}/pinentry-gtk "$@"
elif [ -x %{_bindir}/pinentry-qt4 ]; then
	exec %{_bindir}/pinentry-qt4 "$@"
elif [ -x %{_bindir}/pinentry-qt ]; then
	exec %{_bindir}/pinentry-qt "$@"
else
	exec %{_bindir}/pinentry-curses "$@"
fi
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/pinentry
%attr(755,root,root) %{_bindir}/pinentry-curses
%{_infodir}/pinentry.info*

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pinentry-gtk
%endif

%if %{with gtk2}
%files gtk2
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pinentry-gtk-2
%endif

%if %{with qt}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pinentry-qt
%endif

%if %{with qt4}
%files qt4
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pinentry-qt4
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pinentry.spec,v $
Revision 1.38  2012/01/10 16:36:41  lisu
- no more separated libtinfo(w)

Revision 1.37  2011/12/16 22:42:04  arekm
- rel 3; activate properly

Revision 1.36  2011/09/01 07:43:24  arekm
- release 2

Revision 1.35  2011/01/22 15:23:40  sparky
- fixed linking
- restored rpmcppflags

Revision 1.34  2011/01/08 20:18:32  qboosh
- updated to 0.8.1
- stick to included libassuan 1.x until sb updates pinentry code for new libassuan

Revision 1.33  2010/05/16 22:30:01  arvenil
- up to 0.8.0

Revision 1.32  2010/03/30 22:37:58  shadzik
- make it use libassuan1
- rel 2

Revision 1.31  2009/11/30 02:36:52  sparky
- for qt4: added BR: qt4-build
- BR: QtGui-devel and regenerate moc only if compiled with qt4
- BR: gettext-devel

Revision 1.30  2009/07/25 22:08:47  arekm
- up to 0.7.6; qt4 version available now

Revision 1.29  2009/03/07 17:49:54  arekm
- rel 4; add pinentry-qt4 to pinentry script

Revision 1.28  2008/11/17 09:00:41  arekm
- rel 3; fix pinentry script

Revision 1.27  2008/08/26 15:56:20  qboosh
- user-configurable first

Revision 1.26  2008/08/26 15:47:55  qboosh
- release 2

Revision 1.25  2008/08/26 15:47:44  qboosh
- use privimive selector instead of (not present or not configurable) /usr/bin/pinentry symlink

Revision 1.24  2008-05-12 19:37:44  qboosh
- updated to 0.7.5
- added types patch

Revision 1.23  2008-01-29 14:20:05  arekm
- rel 2

Revision 1.22  2008-01-24 01:36:34  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.21  2007-12-03 20:15:20  qboosh
- updated to 0.7.4
- updated info patch

Revision 1.20  2007-07-06 23:38:13  qboosh
- updated to 0.7.3

Revision 1.19  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.17  2006/10/28 00:08:01  czarny
- svn snap that fixes unnrunable pinentry-{qt|gtk} according to their list
- actually works (yeeey!)

Revision 1.16  2005/02/28 18:19:20  qboosh
- BR: texinfo

Revision 1.15  2005/02/28 07:35:47  qboosh
- updated to 0.7.2, updated system-assuan patch, added info patch
- added gtk2 version

Revision 1.14  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.13  2004/04/22 20:42:47  qboosh
- updated to 0.7.1, removed obsolete cxx patch

Revision 1.12  2003/12/24 02:32:37  qboosh
- updated to 0.7.0, updated system-assuan patch, new-style bconds

Revision 1.11  2003/08/21 11:43:54  wrobell
- rel. 2

Revision 1.10  2003/08/21 09:41:22  qboosh
- patched to use system libassuan from libassuan.spec, removed libassuan-devel

Revision 1.9  2003/07/29 15:39:34  adgor
- Updated to 0.6.9
- Fixed src url

Revision 1.8  2003/05/28 13:01:17  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/14 13:58:54  qboosh
- header file is useful with library

Revision 1.5  2003/03/14 13:45:01  qboosh
- added libassuan-devel package (I don't see separate package with this library)

Revision 1.4  2003/03/14 12:34:36  qboosh
- added gtk and qt packages

Revision 1.3  2003/02/17 16:10:13  wiget
- updated to 0.6.8

Revision 1.2  2002/10/09 13:10:29  qboosh
- pl description

Revision 1.1  2002/10/07 20:27:43  wrobell
- based on newpg.spec
